# Generated by Django 3.2 on 2021-05-12 20:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ProductCategoryModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=128)),
                ('description', models.CharField(default='', max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='ProductFeatureModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, default='', max_length=128)),
                ('description', models.CharField(blank=True, default='', max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='ProductModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=128)),
                ('value', models.DecimalField(blank=True, decimal_places=3, default=1.0, max_digits=4)),
                ('measuring', models.CharField(blank=True, default='piece', max_length=32)),
                ('trade_price', models.FloatField(default=0)),
                ('retail_price', models.FloatField(default=0)),
                ('max_discount_percent', models.FloatField(blank=True, default=0)),
                ('category', models.ForeignKey(blank=True, default='', on_delete=django.db.models.deletion.SET_DEFAULT, to='products.productcategorymodel')),
                ('feature', models.ForeignKey(blank=True, default='', on_delete=django.db.models.deletion.SET_DEFAULT, to='products.productfeaturemodel')),
            ],
        ),
    ]
